
// This method is used to read options from the extension localStore.
chrome.extension.onMessage.addListener(function(request, sender, sendResponse) {
  var m=request.method;
  if (!m) return;
    if (m.substring(0,6) == "option") {
      var param=request.method.substring(6,m.length);
      retval=localStorage[param];
        sendResponse({value: retval});      
    }
    else
      sendResponse({}); // snub them.
});


// add content script manually upon first run (just installed/enabled)
chrome.tabs.query({}, function (tabs) {
  tabs.forEach(runAllowRightClick);
});

function runAllowRightClick(tab) {
  if (/^chrome/.test(tab.url)) return;
  chrome.tabs.executeScript(tab.id, {
      file: "js/rightclick.js",
      allFrames: true
  });
}

